package com.chelvc.framework.common.crypto;

import javax.crypto.Cipher;

import com.chelvc.framework.common.util.AESUtils;
import lombok.NonNull;

/**
 * AES加解密处理器工厂实现
 *
 * @author Woody
 * @date 2024/6/25
 */
public class AESCipherFactory implements CipherFactory {
    private final String key;
    private final String name;
    private final String secret;

    public AESCipherFactory(@NonNull String secret) {
        this(AESUtils.ECB_PKCS5PADDING, secret);
    }

    public AESCipherFactory(@NonNull String name, @NonNull String secret) {
        this.key = name + secret;
        this.name = name;
        this.secret = secret;
    }

    @Override
    public Cipher getCipher(int mode) {
        return AESUtils.lookupCipher(this.key, mode, () -> AESUtils.getCipher(this.name, mode, this.secret));
    }
}
